# $Revision: 1.3 $, $Date: 2011/07/31 10:59:19 $
%define		status		stable
%define		pearname	pman
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - PHP Unix manual pages
Name:		php-phpdocs-pman
Version:	2011.06.25
Release:	3
License:	Creative Commons Attribution 3.0
Group:		Development/Languages/PHP
Source0:	http://doc.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	b6a3ef728aeb3ea88438226a935fcc45
URL:		http://doc.php.net/package/pman/
BuildRequires:	php-channel(doc.php.net)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	man
Requires:	php-channel(doc.php.net)
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_phpdocdir	%{_docdir}/phpdoc

%description
Unix manual pages of the PHP documentations from php.net.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup -d doc_dir=%{_phpdocdir}

cat <<'EOF' >.%{_bindir}/pman
#!/bin/sh
exec %{_bindir}/man -M %{_phpdocdir}/pman "$@"
EOF

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_bindir},%{_phpdocdir}}
cp -a ./%{php_pear_dir}/.registry $RPM_BUILD_ROOT%{php_pear_dir}

cp -a ./%{_phpdocdir}/pman  $RPM_BUILD_ROOT%{_phpdocdir}

install -d $RPM_BUILD_ROOT{%{_bindir},%{php_pear_dir}}
install -p ./%{_bindir}/* $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%{php_pear_dir}/.registry/.channel.*/*.reg
%attr(755,root,root) %{_bindir}/pman
%dir %{_phpdocdir}/pman
%dir %{_phpdocdir}/pman/man3
%{_phpdocdir}/pman/man3/*.3*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-phpdocs-pman.spec,v $
Revision 1.3  2011/07/31 10:59:19  glen
- silly typo

Revision 1.2  2011/07/31 10:51:50  glen
- use own man dir, man pages conflict with too many system packages

Revision 1.1  2011/07/31 10:34:14  glen
- initial package, maybe should package manuals for each extension to subpackages?
